Cómo instalar o desinstalar EasyApache 4

Cómo instalar o desinstalar EasyApache 4


Última modificación: 21 de septiembre de 2021

Visión general

Este documento describe cómo instalar o desinstalar EasyApache 4 en su servidor. Puede migrar su servidor de EasyApache 3 a EasyApache 4 o instalarlo manualmente.

Puede migrar a EasyApache 4 con uno de los siguientes métodos:

Para obtener más información sobre el proceso de migración, lea nuestro Proceso de migración de EasyApache 3 a EasyApache 4 documentación.

Importante:

  • Dejamos de utilizar EasyApache 3 el 31 de diciembre de 2018. Para migrar a EasyApache 4, haga clic en Herramienta de migración EasyApache 4 en la cima de la EasyApache 3 interfaz (WHM >> Inicio >> Software >> EasyApache 3). Si lo haces no actualice a EasyApache 4, usted no poder actualice a cPanel & WHM versión 78.
  • usted no poder migrar o revertir de EasyApache 4 en un sistema que ejecute cPanel & WHM versión 78 o posterior.
  • Solo puede migrar un sistema que ejecute Tomcat en cPanel & WHM versión 76 o superior. Para obtener más información, lea nuestro Introducción a Tomcat documentación.
  • Esta sección de la interfaz solamente existe en cPanel & WHM versión 60 o posterior. En cPanel & WHM versión 70 a 76, usted debe utilizar el Script de migración EasyApache 4 si desea revertir.
  • En las versiones 60 a 66 de cPanel y WHM, esta sección de la interfaz no aparecer a menos que seleccione el BORDE o ACTUAL nivel en WHM Actualizar preferencias interfaz (WHM >> Inicio >> Configuración del servidor >> Preferencias de actualización. Si desea migrar de EasyApache 3 a EasyApache 4 y selecciona el LIBERACIÓN o ESTABLE niveles, tu debe utilizar el Script de migración EasyApache 4.

Requisitos

Sistemas operativos

EasyApache 4 es compatible con todos Sistemas operativos compatibles con cPanel y WHM.

Ajustes

usted debe activar el RPMUP ajuste si instala EasyApache 4 en su sistema. El sistema habilita esta configuración de forma predeterminada. Para hacer esto, realice uno de los siguientes pasos:

Apache y PHP

EasyApache 4 solamente es compatible con la versión 2.4 de Apache.

EasyApache 4 es compatible con las versiones de PHP 5.4 a 5.6, las versiones de PHP 7.0 a 7.4 y PHP 8.0.

El perfil predeterminado de cPanel incluye las versiones 7.3, 7.4 y 8.0 de PHP.

Nota:

EasyApache se adhiere a la Línea de tiempo de las versiones compatibles con php.net. Los perfiles que suministramos en WHM’s EasyApache 4 interfaz (WHM >> Inicio >> Software >> EasyApache 4) solamente proporcionar versiones de PHP que php.net actualmente admite.

Los RPM para versiones no compatibles de PHP permanecerán en los servidores y espejos de cPanel, LLC, pero lo haremos no proporcionar más actualizaciones.

Importante:

  • Cada vez que realiza una migración de EasyApache 3 a EasyApache 4, el sistema mueve el /usr/local/apache/ directorio al /usr/local/apache.ea3/ directorio.
    • Si el /usr/local/apache.ea3 existe el directorio, el sistema mueve el /usr/local/apache/ directorio al /usr/local/apache.ea3.1/ directorio.
    • Si el /usr/local/apache.ea3.1 El directorio existe cuando ejecuta una migración, la migración fallará para evitar la pérdida de datos.
  • La posibilidad de errores aumenta drásticamente si migra su sistema varias veces. Si revierte varias veces, debe eliminar manualmente el anterior /usr/local/apache.ea3.1/ directorio de respaldo para continuar. El sistema conserva automáticamente la /usr/local/apache/ directorio.

Migrar de EasyApache 3 a EasyApache 4

Versiones 60 a 76

Advertencia:

EasyApache 3 bloques cPanel & WHM versión 78 y superior. usted debe migrar a EasyApache 4 en cPanel & WHM versión 76 o anterior.

Para migrar su servidor de EasyApache 3 a EasyApache 4, realice los siguientes pasos:

  1. Navega al EasyApache 3 interfaz (WHM >> Inicio >> Software >> EasyApache).
  2. Hacer clic Herramienta de migración EasyApache 4.
  3. Hacer clic Emigrar. Un mensaje de confirmacion aparecera.
  4. Para confirmar que desea migrar, haga clic en Sí, ejecute EasyApache 4 Migration. El sistema iniciará la migración de EasyApache 4 y mostrará el registro de progreso. Para obtener más información sobre el proceso de migración, lea nuestro Proceso de migración de EasyApache 3 a EasyApache 4 documentación.
  5. Hacer clic Hecho.

Nota:

  • Si su sistema ejecuta CloudLinux ™ y tiene dificultades con la conversión, es posible que deba ejecutar el Script de conversión de CloudLinux para migrar su sistema.
  • Si su sistema ejecuta Tomcat, debe use cPanel & WHM versión 76 para migrar a EasyApache 4.
  • Si su sistema utiliza el módulo Apache FCGId, debe use cPanel & WHM versión 76 para migrar a EasyApache 4.
  • Si su sistema usa el módulo Apache FCGId y su sistema ejecuta CloudLinux, usted debe desactive la opción FastCGI en EasyApache 3 antes de iniciar la migración.
  • En sistemas que lo hacen no ejecute CloudLinux, si recibe un mensaje de que debe instalar el Repositorio experimental, usted debe instalar el repositorio con el yum install ea4-experimental , luego intente migrar el servidor nuevamente.

Versiones 52 a 58

Servidores que ejecutan cPanel y WHM versiones 52 a 58 debe utilizar el Script de migración EasyApache 4.

Volver a EasyApache 3 desde EasyApache 4

Importante:

  • Usted puede solamente desinstale EasyApache 4 si migró su sistema desde EasyApache 3.
  • usted no poder Vuelva a EasyApache 3 si su sistema ejecuta cPanel & WHM versión 78 o posterior.
  • Esta acción revierte el sistema a su instalación y configuración anterior de EasyApache 3.
  • Esta acción intenta mover los archivos Apache a una nueva ubicación y revertir el servidor al estado anterior.

Versiones 70 a 76

Para revertir su sistema a EasyApache 3 desde EasyApache 4, usted debe utilizar el Script de migración EasyApache 4.

Versiones 60 a 68

Para revertir su sistema a EasyApache 3 desde EasyApache 4, realice los siguientes pasos:

  1. Navega al EasyApache 3 interfaz (WHM >> Inicio >> Software >> EasyApache 3).
  2. Hacer clic Revertir. Un mensaje de confirmacion aparecera.
  3. Para confirmar que desea revertir, haga clic en Sí, ejecute EasyApache 4 Revert. El sistema iniciará la reversión de EasyApache 4 y mostrará el registro de progreso.
  4. Hacer clic Hecho.

Versiones 52 a 58

Para revertir su sistema a EasyApache 3 desde EasyApache 4, usted debe utilizar el Script de migración EasyApache 4.

Migre su sistema en la línea de comando

Utilizar el /usr/local/cpanel/scripts/migrate_ea3_to_ea4 script para instalar o desinstalar EasyApache 4 en la línea de comando.

Migrar a EasyApache 4

  1. Inicie sesión en su servidor a través de SSH.
  2. Ejecute el siguiente comando como usuario root:
    /usr/local/cpanel/scripts/migrate_ea3_to_ea4 --run

    Nota:

    • Si su sistema ejecuta CloudLinux ™, el migrate_ea3_to_ea4 descarga de secuencias de comandos y ejecuta CloudLinux Script de migración EasyApache 4.
    • Si su sistema ejecuta CloudLinux, no poder opciones de uso (por ejemplo, el --install_profile opción) con el script de migración EasyApache 4.
    • Si su sistema ejecuta CloudLinux, debe desactive la opción FastCGI en EasyApache 3 antes de ejecutar el script de migración.
    • A medida que se ejecuta el script de migración, /scripts/migrate_ea3_to_ea4 el guión copia el /usr/local/lib/php.ini archivo al /opt/cpanel/ea-php??/root/etc/php.d/php.ini archivo y a todos los instalados ea-php versiones en su servidor. Para evitar complicaciones, el sistema comenta líneas que se asemejan a las siguientes líneas:
      • extension=
      • extension_dir=
      • zend_extension-
    • El sistema lo hace no ajuste cualquier otra línea.
    • En sistemas que lo hacen no ejecute CloudLinux, si recibe un mensaje de que debe instalar el Repositorio experimental, usted debe instalar el repositorio con el yum install ea4-experimental , luego intente migrar el servidor nuevamente.
  3. La interfaz muestra los cambios que ocurrirán. Para continuar, siga las instrucciones de la interfaz.

Volver a EasyApache 3

Recordar:

Usted puede solamente desinstale EasyApache 4 si migró su sistema desde EasyApache 3.

  1. Inicie sesión en su servidor a través de SSH.
  2. Ejecute el siguiente comando como root usuario:
    /usr/local/cpanel/scripts/migrate_ea3_to_ea4 --revert --run
  3. Siga las instrucciones del sistema.

Argumentos

los migrate_ea3_to_ea4 script acepta los siguientes argumentos:

  • --runRequerido. Ejecute el script.
  • --help – Muestra la información de ayuda.
  • --revert – Revertir el sistema a la versión y configuración anteriores.
  • --skip_convert – Hacer no convierta e instale el perfil EasyApache 3. Este indicador instala el perfil predeterminado de EasyApache 4 cPanel a menos que utilice el --install_profile bandera.
  • --install_profile – Hacer no convierta el perfil EasyApache 3. En su lugar, instale el perfil especificado. Por ejemplo:
    /usr/local/scripts/migrate_ea3_to_ea4 --run --install_profile /path/to/profile
  • --convert_fail – Cuando convierte un perfil de EasyApache 3 en un perfil de EasyApache 4, este indicador evita la ejecución del código de corrección de errores del script.

    Advertencia:

    Esto puede causar una falla al aprovisionar su sistema. Sin embargo, es posible que desee utilizar este indicador para las pruebas.

  • --allow-unsafe-amount-of-tomcat-users – Migrar un sistema que posea más de cinco Gato usuarios.

    Nota:

    • Esta bandera solamente existe en sistemas que ejecutan cPanel & WHM versión 76 o superior.
    • Tomcat consume una gran cantidad de memoria. Hacer cierto que su sistema posee suficiente memoria antes de realizar esta acción.
  • --y – Respuesta a todas las preguntas de sí o no del guión. Esta función también acepta -y, --y, -yes, y --yes formato de argumento.
  • --force – Cuando agrega este argumento al --run o --revert argumentos, el sistema ignora las comprobaciones de protección.

    Advertencia:

    Esto puede causar una falla al aprovisionar su sistema.

  • --reinstall – Yum intenta instalar los RPM necesarios de EasyApache 4 e intenta reinstalar cualquier paquete de EasyApache 4 instalado actualmente.

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *